(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.2'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     16108,        447]*)
(*NotebookOutlinePosition[     16752,        469]*)
(*  CellTagsIndexPosition[     16708,        465]*)
(*WindowFrame->Normal*)



Notebook[{
Cell[BoxData[{
    \(\(i = {dx, dy, \(-1\)};\) (*\ 
      i\ is\ the\ incident\ direction\ *) \), "\[IndentingNewLine]", 
    \(\(n = {\(-zx\), \(-zy\), 1}/Sqrt[bn];\)\  (*\ 
      n\ is\ the\ normal\ direction\ *) \), "\[IndentingNewLine]", 
    \(\(bn = zx*zx + zy*zy + 1;\)\  (*\ 
      bn\ is\ the\ squared\ length\ of\ normal\ directino\ n\ *) \), "\
\[IndentingNewLine]", 
    \(\(\(r = i - 2*\((i . n)\)*n\)\(;\)\( (*\ 
      r\ is\ the\ reflected\ ray\ direction*) \)\)\)}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(r\)\(\ \)\( (*\ calculation\ result\ *) \)\)\)], "Input"],

Cell[BoxData[
    \({dx + \(2\ zx\ \((\(-\(1\/\@\(1 + zx\^2 + zy\^2\)\)\) - \(dx\ \
zx\)\/\@\(1 + zx\^2 + zy\^2\) - \(dy\ zy\)\/\@\(1 + zx\^2 + \
zy\^2\))\)\)\/\@\(1 + zx\^2 + zy\^2\), 
      dy + \(2\ zy\ \((\(-\(1\/\@\(1 + zx\^2 + zy\^2\)\)\) - \(dx\ \
zx\)\/\@\(1 + zx\^2 + zy\^2\) - \(dy\ zy\)\/\@\(1 + zx\^2 + \
zy\^2\))\)\)\/\@\(1 + zx\^2 + zy\^2\), \(-1\) - \(2\ \((\(-\(1\/\@\(1 + zx\^2 \
+ zy\^2\)\)\) - \(dx\ zx\)\/\@\(1 + zx\^2 + zy\^2\) - \(dy\ zy\)\/\@\(1 + \
zx\^2 + zy\^2\))\)\)\/\@\(1 + zx\^2 + zy\^2\)}\)], "Output"]
}, Open  ]],

Cell[BoxData[{
    \(\(rx = 
        Simplify[
          dx + \(2\ zx\ \((\(-\(1\/\@\(1 + zx\^2 + zy\^2\)\)\) - \(dx\ zx\)\/\
\@\(1 + zx\^2 + zy\^2\) - \(dy\ zy\)\/\@\(1 + zx\^2 + zy\^2\))\)\)\/\@\(1 + \
zx\^2 + zy\^2\)];\)\), "\[IndentingNewLine]", 
    \(\(ry = 
        Simplify[
          dy + \(2\ zy\ \((\(-\(1\/\@\(1 + zx\^2 + zy\^2\)\)\) - \(dx\ zx\)\/\
\@\(1 + zx\^2 + zy\^2\) - \(dy\ zy\)\/\@\(1 + zx\^2 + zy\^2\))\)\)\/\@\(1 + \
zx\^2 + zy\^2\)];\)\), "\[IndentingNewLine]", 
    \(\(rz = 
        Simplify[\(-1\) - \(2\ \((\(-\(1\/\@\(1 + zx\^2 + zy\^2\)\)\) - \(dx\ \
zx\)\/\@\(1 + zx\^2 + zy\^2\) - \(dy\ zy\)\/\@\(1 + zx\^2 + \
zy\^2\))\)\)\/\@\(1 + zx\^2 + zy\^2\)];\)\)}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(rx\)], "Input"],

Cell[BoxData[
    \(\(\(-2\)\ \((zx + dy\ zx\ zy)\) + dx\ \((1 - zx\^2 + zy\^2)\)\)\/\(1 + \
zx\^2 + zy\^2\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ry\)], "Input"],

Cell[BoxData[
    \(\(\(-2\)\ \((zy + dx\ zx\ zy)\) + dy\ \((1 + zx\^2 - zy\^2)\)\)\/\(1 + \
zx\^2 + zy\^2\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(rz\)], "Input"],

Cell[BoxData[
    \(\(-\(\(\(-1\) - 2\ dx\ zx + zx\^2 - 2\ dy\ zy + zy\^2\)\/\(1 + zx\^2 + 
            zy\^2\)\)\)\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \(\(\(rx = \(-2\)\ \((zx + dy\ zx\ zy)\) + 
        dx\ \((1 - zx\^2 + zy\^2)\)\)\(;\)\(\ \)\( (*\ 
      scale\ rx\ by\ the\ squared\ length\ of\ the\ direction\ r\ *) \)\(\
\[IndentingNewLine]\)\(ry = \(-2\)\ \((zy + dx\ zx\ zy)\) + 
        dy\ \((1 + zx\^2 - zy\^2)\)\)\(;\)\(\ \)\( (*\ 
      scale\ ry\ by\ the\ squared\ length\ of\ the\ direction\ r\ *) \)\(\
\[IndentingNewLine]\)\(rz = \(-1\)*\((\(-1\) - 2\ dx\ zx + zx\^2 - 
            2\ dy\ zy + zy\^2)\)\)\(;\)\(\ \)\( (*\ 
      scale\ rz\ by\ the\ squared\ length\ of\ the\ direction\ r\ *) \)\)\)], \
"Input"],

Cell[BoxData[{
    \(\(s = rx/rz;\)\  (*\ sigma\ value\ *) \), "\[IndentingNewLine]", 
    \(\(t = ry/rz;\)\  (*\ tau\ value\ *) \), "\[IndentingNewLine]", 
    \(\(u = x - z*s;\)\  (*\ u\ value\ *) \), "\[IndentingNewLine]", 
    \(\(\(v = y - z*t\)\(;\)\(\ \)\( (*\ v\ value\ *) \)\)\)}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(s\)\(\ \)\( (*\ results\ of\ sigma, \ tau, \ 
      u, \ \(\(v\)\(.\)\)\ *) \)\)\)], "Input"],

Cell[BoxData[
    \(\(\(-2\)\ \((zx + dy\ zx\ zy)\) + dx\ \((1 - zx\^2 + zy\^2)\)\)\/\(1 + \
2\ dx\ zx - zx\^2 + 2\ dy\ zy - zy\^2\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(t\)], "Input"],

Cell[BoxData[
    \(\(\(-2\)\ \((zy + dx\ zx\ zy)\) + dy\ \((1 + zx\^2 - zy\^2)\)\)\/\(1 + \
2\ dx\ zx - zx\^2 + 2\ dy\ zy - zy\^2\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(u\)], "Input"],

Cell[BoxData[
    \(x - \(z\ \((\(-2\)\ \((zx + dy\ zx\ zy)\) + dx\ \((1 - zx\^2 + \
zy\^2)\))\)\)\/\(1 + 2\ dx\ zx - zx\^2 + 2\ dy\ zy - zy\^2\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(v\)], "Input"],

Cell[BoxData[
    \(y - \(z\ \((\(-2\)\ \((zy + dx\ zx\ zy)\) + dy\ \((1 + zx\^2 - \
zy\^2)\))\)\)\/\(1 + 2\ dx\ zx - zx\^2 + 2\ dy\ zy - zy\^2\)\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \(\(\( (*\ set\ zx, \ zy, \ 
      and\ z\ as\ a\ function\ of\ x\ and\ y\ in\ order\ to\ calculate\ \
partial\ dirivatives\ w . r . t . \ 
          x\ and\ y\ *) \)\(\[IndentingNewLine]\)\(\(zx = 
        fzx[x, y];\)\[IndentingNewLine]
    \(zy = fzy[x, y];\)\[IndentingNewLine]
    \(z = fz[x, y];\)\)\)\)], "Input"],

Cell[BoxData[
    \(\(\( (*\ 
      calculate\ the\ first\ order\ partial\ derivatives\ of\ sigma, \ tau, \ 
      u, \ and\ v\ w . r . t . \ 
          x\ and\ y\ *) \)\(\[IndentingNewLine]\)\(\(sx = 
        D[s, x];\)\[IndentingNewLine]
    \(sy = D[s, y];\)\[IndentingNewLine]
    \(tx = D[t, x];\)\[IndentingNewLine]
    \(ty = D[t, y];\)\[IndentingNewLine]
    \(ux = D[u, x];\)\[IndentingNewLine]
    \(uy = D[u, y];\)\[IndentingNewLine]
    \(vx = D[v, x];\)\[IndentingNewLine]
    \(vy = D[v, y];\)\)\)\)], "Input"],

Cell[BoxData[
    \(\(\( (*\ 
      calculate\ the\ GLC\ chracteristic\ equation\ coefficients\ using\ \
first\ order\ derivatives\ of\ sigma, \ tau, \ u, \ 
      and\ v\ w . r . t . \ x\ and\ y\ *) \)\(\[IndentingNewLine]\)\(\(A = 
        sx*ty - sy*tx;\)\[IndentingNewLine]
    \(B = sx*vy - sy*vx - tx*uy + ty*ux;\)\[IndentingNewLine]
    \(CC = ux*vy - uy*vx;\)\)\)\)], "Input"],

Cell[BoxData[
    RowBox[{\( (*\ 
        set\ the\ partial\ derivatives\ to\ a\ simplified\ notion, \ 
        where\ wx, \ wy\ are\ equivalent\ to\ zx, \ zy; \ wxx, \ wxy, \ 
        wyy\ are\ equivalent\ to\ zxx, \ zxy, \ zyy\ *) \), 
      "\[IndentingNewLine]", 
      RowBox[{\(fzx[x, y] = wx;\), "\[IndentingNewLine]", \(fzy[x, y] = wy;\),
         "\[IndentingNewLine]", \(fz[x, y] = w;\), "\[IndentingNewLine]", " ",
         
        RowBox[{
          RowBox[{
            RowBox[{
              SuperscriptBox["fzx", 
                TagBox[\((0, 1)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}], "=", "wxy"}], 
          ";"}], "\[IndentingNewLine]", " ", 
        RowBox[{
          RowBox[{
            RowBox[{
              SuperscriptBox["fzx", 
                TagBox[\((1, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}], "=", "wxx"}], 
          ";"}], "\[IndentingNewLine]", " ", 
        RowBox[{
          RowBox[{
            RowBox[{
              SuperscriptBox["fzy", 
                TagBox[\((0, 1)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}], "=", "wyy"}], 
          ";"}], "\[IndentingNewLine]", " ", 
        RowBox[{
          RowBox[{
            RowBox[{
              SuperscriptBox["fzy", 
                TagBox[\((1, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}], "=", "wxy"}], 
          ";"}], "\[IndentingNewLine]", " ", 
        RowBox[{
          RowBox[{
            RowBox[{
              SuperscriptBox["fz", 
                TagBox[\((0, 1)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}], "=", "wy"}], 
          ";"}], "\[IndentingNewLine]", 
        RowBox[{
          RowBox[{
            RowBox[{
              SuperscriptBox["fz", 
                TagBox[\((1, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y\), "]"}], "=", "wx"}], 
          ";"}]}]}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Simplify[A]\)], "Input"],

Cell[BoxData[
    \(\(-\(\(4\ \((1 + dx\^2 + dy\^2)\)\ \((1 + dx\ wx + dy\ wy)\)\ \((1 + 
                wx\^2 + wy\^2)\)\ \((wxy\^2 - 
                wxx\ wyy)\)\)\/\((1 + 2\ dx\ wx - wx\^2 + 2\ dy\ wy - \
wy\^2)\)\^3\)\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Simplify[B]\)], "Input"],

Cell[BoxData[
    \(\((2\ \((1 + wx\^2 + wy\^2)\)\ \((2\ dy\ wx\ wxy - 2\ dy\ wx\^3\ wxy + 
              4\ w\ wxy\^2 + 4\ dy\^2\ w\ wxy\^2 + 6\ dy\^2\ wx\ wxy\ wy - 
              2\ dy\^2\ wx\^3\ wxy\ wy + 4\ dy\ w\ wxy\^2\ wy + 
              4\ dy\^3\ w\ wxy\^2\ wy - 2\ dy\ wx\ wxy\ wy\^2 + 
              4\ dy\^3\ wx\ wxy\ wy\^2 - 2\ dy\^2\ wx\ wxy\ wy\^3 - wyy - 
              dy\^2\ wyy + wx\^2\ wyy + dy\^2\ wx\^4\ wyy - 2\ dy\ wy\ wyy - 
              2\ dy\^3\ wy\ wyy - 2\ dy\^3\ wx\^2\ wy\ wyy + wy\^2\ wyy + 
              dy\^2\ wy\^2\ wyy + dy\^2\ wx\^2\ wy\^2\ wyy + 
              2\ dx\^3\ wx\ \((2\ w\ wxy\^2 + 
                    wx\ \((2\ wxy\ wy - wx\ wyy)\))\) + 
              2\ dx\ \((2\ w\ wx\ wxy\^2 + wxy\ wy - wx\^2\ wxy\ wy - 
                    wxy\ wy\^3 - 2\ wx\ wyy + wx\^3\ wyy + wx\ wy\^2\ wyy + 
                    dy\^2\ \((2\ w\ wx\ wxy\^2 + 
                          2\ \((\(-1\) + wx\^2)\)\ wxy\ wy - 
                          wx\ \((1 + wx\^2)\)\ wyy)\) + 
                    dy\ \((wxy\ \((\(-1\) + 3\ wx\^2 + 3\ wy\^2)\) - 
                          2\ wx\ wy\ wyy)\))\) + 
              dx\^2\ \((4\ w\ wxy\^2 + 
                    dy\ \((4\ w\ wxy\^2\ wy + 
                          4\ wx\ wxy\ \((\(-1\) + wy\^2)\) - 
                          2\ wx\^2\ wy\ wyy)\) + 
                    wx\ \((\(-2\)\ wxy\ wy\ \((\(-3\) + wx\^2 + wy\^2)\) + 
                          wx\ \((\(-5\) + wx\^2 + wy\^2)\)\ wyy)\))\) - 
              wxx\ \((2\ dx\^3\ wx\ \((1 + wy\^2 + 2\ w\ wyy)\) - \((1 + 
                          dy\ wy)\)\ \((\(-1\) + wy\^2 + 
                          wx\^2\ \((1 + dy\ wy)\) + 
                          dy\ wy\ \((\(-3\) + wy\^2)\) - 4\ w\ wyy - 
                          2\ dy\^2\ \((wy\^2 + 2\ w\ wyy)\))\) + 
                    2\ dx\ wx\ \((1 + 2\ dy\ wy + 2\ w\ wyy + 
                          dy\^2\ \((wy\^2 + 2\ w\ wyy)\))\) - 
                    dx\^2\ \((\(-1\) + wy\^4 + wx\^2\ \((1 + wy\^2)\) - 
                          4\ w\ wyy - 
                          2\ dy\ \((wy + wy\^3 + 
                                2\ w\ wy\ wyy)\))\))\))\))\)/\((1 + 2\ dx\ wx \
- wx\^2 + 2\ dy\ wy - wy\^2)\)\^3\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Simplify[CC]\)], "Input"],

Cell[BoxData[
    \(\(-\(\((\((2\ w\ \((\(-dy\)\ wx\ wxx + wxy + dx\ wx\ wxy + 
                        dx\ wxx\ wy + dy\ wxy\ wy)\)\ \((1 + 2\ dx\ wx - 
                        wx\^2 + 2\ dy\ wy - wy\^2)\) + 
                  2\ w\ \((dx\ wxx - wx\ wxx + 
                        wxy\ \((dy - wy)\))\)\ \((\(-2\)\ \((wy + 
                              dx\ wx\ wy)\) + 
                        dy\ \((1 + wx\^2 - wy\^2)\))\) + 
                  wx\ \((\(-1\) - 2\ dx\ wx + wx\^2 - 2\ dy\ wy + 
                        wy\^2)\)\ \((\(-2\)\ \((wy + dx\ wx\ wy)\) + 
                        dy\ \((1 + wx\^2 - wy\^2)\))\))\)\ \((wy\ \((\(-1\) - 
                        2\ dx\ wx + wx\^2 - 2\ dy\ wy + 
                        wy\^2)\)\ \((\(-2\)\ \((wx + dy\ wx\ wy)\) + 
                        dx\ \((1 - wx\^2 + wy\^2)\))\) + 
                  2\ w\ \((\(-2\)\ \((wx + dy\ wx\ wy)\) + 
                        dx\ \((1 - wx\^2 + wy\^2)\))\)\ \((dx\ wxy - 
                        wx\ wxy + \((dy - wy)\)\ wyy)\) + 
                  2\ w\ \((1 + 2\ dx\ wx - wx\^2 + 2\ dy\ wy - 
                        wy\^2)\)\ \((wxy + dx\ wx\ wxy + dy\ wxy\ wy + 
                        dy\ wx\ wyy - 
                        dx\ wy\ wyy)\))\))\)/\((\(-1\) - 2\ dx\ wx + wx\^2 - \
2\ dy\ wy + wy\^2)\)\^4\)\) + \((1 + \(2\ w\ \((wxx + dx\ wx\ wxx + dy\ wx\ \
wxy + dy\ wxx\ wy - dx\ wxy\ wy)\)\)\/\(1 + 2\ dx\ wx - wx\^2 + 2\ dy\ wy - \
wy\^2\) - \((2\ w\ \((dx\ wxx - wx\ wxx + 
                      wxy\ \((dy - wy)\))\)\ \((2\ \((wx + dy\ wx\ wy)\) + 
                      dx\ \((\(-1\) + wx\^2 - 
                            wy\^2)\))\))\)/\((\(-1\) - 2\ dx\ wx + wx\^2 - 2\ \
dy\ wy + wy\^2)\)\^2 - \(wx\ \((2\ \((wx + dy\ wx\ wy)\) + dx\ \((\(-1\) + wx\
\^2 - wy\^2)\))\)\)\/\(\(-1\) - 2\ dx\ wx + wx\^2 - 2\ dy\ wy + wy\^2\))\)\ \
\((1 - \(wy\ \((2\ \((wy + dx\ wx\ wy)\) + dy\ \((\(-1\) - wx\^2 + \
wy\^2)\))\)\)\/\(\(-1\) - 2\ dx\ wx + wx\^2 - 2\ dy\ wy + wy\^2\) + \((2\ w\ \
\((\(-2\)\ \((wy + dx\ wx\ wy)\) + 
                      dy\ \((1 + wx\^2 - wy\^2)\))\)\ \((dx\ wxy - 
                      wx\ wxy + \((dy - 
                            wy)\)\ wyy)\))\)/\((\(-1\) - 2\ dx\ wx + wx\^2 - \
2\ dy\ wy + wy\^2)\)\^2 + \(2\ w\ \((\(-dy\)\ wx\ wxy + dx\ wxy\ wy + wyy + \
dx\ wx\ wyy + dy\ wy\ wyy)\)\)\/\(1 + 2\ dx\ wx - wx\^2 + 2\ dy\ wy - \
wy\^2\))\)\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \(\(\( (*\ Set\ the\ simplification\ equation, \ 
      since\ we\ choose\ the\ local\ normal\ direction\ as\ the\ z - 
        axis\ of\ our\ 2  
          PP\ parametrization\ *) \)\(\ \)\(\[IndentingNewLine]\)\(\(wx = 
        0;\)\[IndentingNewLine]
    \(wy = 0;\)\[IndentingNewLine]
    \(w = 0;\)\)\)\)], "Input"],

Cell[BoxData[{
    \(\(Clear[dx];\)\), "\[IndentingNewLine]", 
    \(\(Clear[dy];\)\)}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Simplify[A]\)], "Input"],

Cell[BoxData[
    \(\(-4\)\ \((1 + dx\^2 + dy\^2)\)\ \((wxy\^2 - wxx\ wyy)\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Simplify[B]\)], "Input"],

Cell[BoxData[
    \(\(-2\)\ \((wxx + dx\^2\ wxx + 2\ dx\ dy\ wxy + wyy + 
          dy\^2\ wyy)\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Simplify[CC]\)], "Input"],

Cell[BoxData[
    \(1\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \(\(\( (*\ 
      further\ alter\ the\ viewing\ direction\ s . t . \ dx = \(0\ and\ dy = 
          0\)\ *) \)\(\[IndentingNewLine]\)\(\(dx = 0;\)\[IndentingNewLine]
    \(dy = 0;\)\)\)\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Simplify[A]\)], "Input"],

Cell[BoxData[
    \(\(-4\)\ wxy\^2 + 4\ wxx\ wyy\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Simplify[B]\)], "Input"],

Cell[BoxData[
    \(\(-2\)\ \((wxx + wyy)\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Simplify[CC]\)], "Input"],

Cell[BoxData[
    \(1\)], "Output"]
}, Open  ]]
},
FrontEndVersion->"5.2 for Microsoft Windows",
ScreenRectangle->{{0, 1280}, {0, 941}},
WindowSize->{1272, 907},
WindowMargins->{{0, Automatic}, {Automatic, 0}}
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1754, 51, 491, 9, 110, "Input"],

Cell[CellGroupData[{
Cell[2270, 64, 81, 1, 30, "Input"],
Cell[2354, 67, 533, 8, 71, "Output"]
}, Open  ]],
Cell[2902, 78, 698, 14, 219, "Input"],

Cell[CellGroupData[{
Cell[3625, 96, 35, 1, 30, "Input"],
Cell[3663, 99, 122, 2, 47, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[3822, 106, 35, 1, 30, "Input"],
Cell[3860, 109, 122, 2, 47, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[4019, 116, 35, 1, 30, "Input"],
Cell[4057, 119, 129, 2, 47, "Output"]
}, Open  ]],
Cell[4201, 124, 594, 10, 93, "Input"],
Cell[4798, 136, 299, 4, 90, "Input"],

Cell[CellGroupData[{
Cell[5122, 144, 117, 2, 30, "Input"],
Cell[5242, 148, 146, 2, 47, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[5425, 155, 34, 1, 30, "Input"],
Cell[5462, 158, 146, 2, 47, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[5645, 165, 34, 1, 30, "Input"],
Cell[5682, 168, 159, 2, 47, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[5878, 175, 34, 1, 30, "Input"],
Cell[5915, 178, 159, 2, 47, "Output"]
}, Open  ]],
Cell[6089, 183, 338, 7, 90, "Input"],
Cell[6430, 192, 524, 12, 190, "Input"],
Cell[6957, 206, 384, 7, 90, "Input"],
Cell[7344, 215, 2121, 56, 210, "Input"],

Cell[CellGroupData[{
Cell[9490, 275, 44, 1, 30, "Input"],
Cell[9537, 278, 238, 4, 48, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[9812, 287, 44, 1, 30, "Input"],
Cell[9859, 290, 2213, 35, 125, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[12109, 330, 45, 1, 30, "Input"],
Cell[12157, 333, 2379, 37, 242, "Output"]
}, Open  ]],
Cell[14551, 373, 338, 7, 90, "Input"],
Cell[14892, 382, 97, 2, 50, "Input"],

Cell[CellGroupData[{
Cell[15014, 388, 44, 1, 30, "Input"],
Cell[15061, 391, 90, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[15188, 397, 44, 1, 30, "Input"],
Cell[15235, 400, 111, 2, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[15383, 407, 45, 1, 30, "Input"],
Cell[15431, 410, 35, 1, 29, "Output"]
}, Open  ]],
Cell[15481, 414, 216, 4, 70, "Input"],

Cell[CellGroupData[{
Cell[15722, 422, 44, 1, 30, "Input"],
Cell[15769, 425, 62, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[15868, 431, 44, 1, 30, "Input"],
Cell[15915, 434, 57, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[16009, 440, 45, 1, 30, "Input"],
Cell[16057, 443, 35, 1, 29, "Output"]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

